To run: 
- node src/app.js
- node src/app.js cr-0001

# Family sheets 0.1

This code is hobby code and is rough and unpolished. I haven't prepared it for
public use but figured something is better than nothing, even if it's
embarrassing.

If you run into issues, feel free to email me: ben.crowder@gmail.com


## Installation and configuration

- `npm install`
- Copy `config.sample.js` to `config.js` and edit the paths to point to wherever you have Chrome (or any other browser for that matter) and the files. This is technically only necesseary if you want the script to use headless Chrome to export the PDFs; you're free to open the HTML files in your browser and print to PDF from there.
- You probably won't have the Clifford Pro font installed, so you'll want to edit `html/style.css` to change the font


## Usage

- Family sheet sources go in `data/` (there are two example files)
  - The filename specifier is recursive, so you can have subfolders within `data/`
- `node src/app.js FILENAME`
  - `FILENAME` can be part of the filename (so `node src/app.js example` for the example files)
  - `node src/app.js` will process all the files in `data/`
- For any specified files, the script will generate an HTML file in `html/` and (using headless Chrome) a PDF in `pdf/`
  - The filename will use the key from the AML file
- The data files use ArchieML. Eventually I'll document things properly, but in the meantime the example files will have to do. Feel free to ask me questions, too. ben.crowder@gmail.com


## Notes

- The `key` is a way to organize sheets. I typically have the first two letters of each family line (split up by grandparents) followed by four numbers. The key is used in the `link` field to help with cross-referencing.
- The `line` is an ancestor line chart. https://bencrowder.net/blog/2022/1338/ has more details on syntax.
- The `id` is a FamilySearch identifier.


Good luck!
