import archieml from "archieml";
import { loadFile } from "./files.js";

export const parseArchieMLString = (archieString) => {
  return archieml.load(archieString);
};

export const parseFile = (filename) => {
  const data = loadFile(filename);
  return parseArchieMLString(data);
};
