export const transform = (family) => {
  if (!family.line || family.line === "") return {};

  const parts = family.line.split(">").map((part) => part.trim());

  return {
    main: parts[0].split(" "),
    collateral: parts.length > 1 ? (parts[1] ?? "").split(" ") : [],
  };
};
